using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATEnterpriseConnection")]
public partial class AtenterpriseConnection
{
    [Key]
    [StringLength(50)]
    public string ConnectionName { get; set; } = null!;

    [StringLength(255)]
    public string? Description { get; set; }

    [StringLength(50)]
    public string ServerName { get; set; } = null!;

    [StringLength(50)]
    public string UserName { get; set; } = null!;

    [StringLength(50)]
    public string Password { get; set; } = null!;

    [InverseProperty("ConnectionNameNavigation")]
    public virtual ICollection<AtsearchRegistration> AtsearchRegistrations { get; set; } = new List<AtsearchRegistration>();
}
